Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition
Class UnresolvingLocaleDefinitionsFactory

    java.lang.Object
      org.apache.tiles.definition.UnresolvingLocaleDefinitionsFactory

All Implemented Interfaces:
  TilesApplicationContextAware, DefinitionsFactory

Direct Known Subclasses:
  LocaleDefinitionsFactory, UrlDefinitionsFactory

    public class UnresolvingLocaleDefinitionsFactory

extends java.lang.Object
implements DefinitionsFactory, TilesApplicationContextAware

`DefinitionsFactory` implementation that manages Definitions configuration data from URLs, without resolving definition inheritance when a definition is returned.

The Definition objects are read from the `DigesterDefinitionsReader` class unless another implementation is specified.

Since:
  2.2.1
Version:
  $Rev: 822631 $ $Date: 2009-10-07 11:21:12 +0200 (mer, 07 ott 2009) $

Field Summary
`protected TilesApplicationContext` | `applicationContext` The application context.
`protected DefinitionDAO<java.util.Locale>` | `definitionDao` The definition DAO that extracts the definitions from the sources.
`protected LocaleResolver` | `localeResolver` The locale resolver object.

Fields inherited from interface org.apache.tiles.definition.DefinitionsFactory
`DEFINITION_DAO_INIT_PARAM, DEFINITIONS_CONFIG, LOCALE_RESOLVER_IMPL_PROPERTY, READER_IMPL_PROPERTY`

Constructor Summary
`UnresolvingLocaleDefinitionsFactory()`

Method Summary
`void` | `addSource(java.lang.Object source)` Deprecated.
`Definition` | `getDefinition(java.lang.String name, TilesRequestContext tilesContext)` Returns a Definition object that matches the given name and Tiles context.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> params)` Deprecated.
`Definitions` | `readDefinitions()` Deprecated.
`void` | `setApplicationContext(TilesApplicationContext applicationContext)` Sets the Tiles application context.
`void` | `setDefinitionDAO(DefinitionDAO<java.util.Locale> definitionDao)` Sets the definition DAO to use.
`void` | `setLocaleResolver(LocaleResolver localeResolver)` Sets the locale resolver to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definitionDao

    protected DefinitionDAO<java.util.Locale> definitionDao

  The definition DAO that extracts the definitions from the sources.

  Since:
    2.2.1

### applicationContext

    protected TilesApplicationContext applicationContext

  The application context.

  Since:
    2.2.1

### localeResolver

    protected LocaleResolver localeResolver

  The locale resolver object.

  Since:
    2.2.1

Constructor Detail

### UnresolvingLocaleDefinitionsFactory

    public UnresolvingLocaleDefinitionsFactory()

Method Detail

### setApplicationContext

    public void setApplicationContext(TilesApplicationContext applicationContext)

  Sets the Tiles application context.

  Specified by:
    `setApplicationContext` in interface `TilesApplicationContextAware`
  Parameters:
    `applicationContext` - The Tiles application context.

### setLocaleResolver

    public void setLocaleResolver(LocaleResolver localeResolver)

  Sets the locale resolver to use.

  Parameters:
    `localeResolver` - The locale resolver.
  Since:
    2.2.1

### setDefinitionDAO

    public void setDefinitionDAO(DefinitionDAO<java.util.Locale> definitionDao)

  Sets the definition DAO to use. It must be locale-based.

  Parameters:
    `definitionDao` - The definition DAO.
  Since:
    2.2.1

### getDefinition

    public Definition getDefinition(java.lang.String name,
                                    TilesRequestContext tilesContext)

  Returns a Definition object that matches the given name and Tiles context.

  Specified by:
    `getDefinition` in interface `DefinitionsFactory`
  Parameters:
    `name` - The name of the Definition to return.
    `tilesContext` - The Tiles context to use to resolve the definition.
  Returns:
    the Definition matching the given name or null if none is found.

### addSource

    @Deprecated
    public void addSource(java.lang.Object source)

  Deprecated.

  Adds a source where Definition objects are stored.

  Implementations should publish what type of source object they expect. The source should contain enough information to resolve a configuration source containing definitions. The source should be a "base" source for configurations. Internationalization and Localization properties will be applied by implementations to discriminate the correct data sources based on locale.

  Specified by:
    `addSource` in interface `DefinitionsFactory`
  Parameters:
    `source` - The configuration source for definitions.

### readDefinitions

    @Deprecated
    public Definitions readDefinitions()

  Deprecated.

  Creates and returns a `Definitions` set by reading configuration data from the applied sources.

  Specified by:
    `readDefinitions` in interface `DefinitionsFactory`
  Returns:
    The read definitions.

### init

    @Deprecated
    public void init(java.util.Map<java.lang.String,java.lang.String> params)

  Deprecated.

  Initializes the DefinitionsFactory and its subcomponents.

  Implementations may support configuration properties to be passed in via the params Map.

  Specified by:
    `init` in interface `DefinitionsFactory`
  Parameters:
    `params` - The Map of configuration properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.